-- victories-ant
-- Author: JNR
--------------------------------------------------------------

-- Types
--------------------------------------------------------------
INSERT OR IGNORE INTO Types
		(Type,												Kind)
VALUES	('MODIFIER_JNR_OWNER_PLAYER_GRANT_VICTORY_POINT',	'KIND_MODIFIER');
--------------------------------------------------------------

-- DynamicModifiers
--------------------------------------------------------------
INSERT OR IGNORE INTO DynamicModifiers
		(ModifierType,										CollectionType,				EffectType)
VALUES	('MODIFIER_JNR_OWNER_PLAYER_GRANT_VICTORY_POINT',	'COLLECTION_OWNER_PLAYER',	'EFFECT_PLAYER_GRANT_VICTORY_POINT');
--------------------------------------------------------------

-- Modifiers
--------------------------------------------------------------
INSERT OR IGNORE INTO Modifiers
		(ModifierId,							ModifierType,										SubjectStackLimit)
VALUES	('MOD_JNR_CULTURE_VICTORY_HILLFORT',	'MODIFIER_JNR_OWNER_PLAYER_GRANT_VICTORY_POINT',	1),
		('MOD_JNR_CULTURE_VICTORY_MEGALITH',	'MODIFIER_JNR_OWNER_PLAYER_GRANT_VICTORY_POINT',	1),
		('MOD_JNR_CULTURE_VICTORY_SOUQ',		'MODIFIER_JNR_OWNER_PLAYER_GRANT_VICTORY_POINT',	1),
		('MOD_JNR_CULTURE_VICTORY_ZIGGURAT',	'MODIFIER_JNR_OWNER_PLAYER_GRANT_VICTORY_POINT',	1);
--------------------------------------------------------------

-- ModifierArguments
--------------------------------------------------------------
INSERT OR IGNORE INTO ModifierArguments
		(ModifierId,							Name,				Value)
VALUES	('MOD_JNR_CULTURE_VICTORY_HILLFORT',	'LegacyPathType',	'LEGACY_PATH_ANTIQUITY_CULTURE'),
		('MOD_JNR_CULTURE_VICTORY_HILLFORT',	'Amount',			1),
		('MOD_JNR_CULTURE_VICTORY_MEGALITH',	'LegacyPathType',	'LEGACY_PATH_ANTIQUITY_CULTURE'),
		('MOD_JNR_CULTURE_VICTORY_MEGALITH',	'Amount',			1),
		('MOD_JNR_CULTURE_VICTORY_SOUQ',		'LegacyPathType',	'LEGACY_PATH_ANTIQUITY_CULTURE'),
		('MOD_JNR_CULTURE_VICTORY_SOUQ',		'Amount',			1),
		('MOD_JNR_CULTURE_VICTORY_ZIGGURAT',	'LegacyPathType',	'LEGACY_PATH_ANTIQUITY_CULTURE'),
		('MOD_JNR_CULTURE_VICTORY_ZIGGURAT',	'Amount',			1);
--------------------------------------------------------------

-- ConstructibleModifiers
--------------------------------------------------------------
INSERT OR IGNORE INTO ConstructibleModifiers
		(ModifierId,							ConstructibleType)
VALUES	('MOD_JNR_CULTURE_VICTORY_HILLFORT',	'IMPROVEMENT_HILLFORT'),
		('MOD_JNR_CULTURE_VICTORY_MEGALITH',	'IMPROVEMENT_MEGALITH'),
		('MOD_JNR_CULTURE_VICTORY_SOUQ',		'IMPROVEMENT_SOUQ'),
		('MOD_JNR_CULTURE_VICTORY_ZIGGURAT',	'IMPROVEMENT_ZIGGURAT');
--------------------------------------------------------------